<?php
###################################################################
# Administration spécial semaine de parrainage                    #
# un joueur gagne ses points + les points de ses filleuls         #
# Variables IN :                                                  #
# $MatchId : Id du match dont on donne le résultat                #
# $Result : Résultat du match au format X-Y (X et Y deux entiers) #
# $un: si = 1, on passe à la 2eme page                            #
# $deux: si = 1, on passe à la 3eme page                          #
###################################################################
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_constants.php3");
include($BIB."bib_admin.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible quelle que soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé,
# quel que soit l'état de la connection après
ignore_user_abort(true); 

# on récupère la date actuelle
$current_european_date = date("Y-m-d H:i:s", my_local_time());

$sSqlDateStatement = " 1 ";

#####################################
# pour afficher les matchs au début #
#####################################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin="0">
<div align="center" class="trTitle">Mise à jour des Niveaux</div>


<?php
if ($un==1)
{
	$rowsPlayers = main_db_query("SELECT DISTINCT(PlayerId) FROM Paris WHERE
					".$sSqlDateStatement);

	while($rowPlayer = db_fetch_array($rowsPlayers))
	{
		$sQueryPerfect = "SELECT Count(*) AS nbPerfects FROM Paris WHERE PlayerId=".$rowPlayer['PlayerId'].
						" AND Result=".$TYPE_RESULT['PERFECT']." AND Date>='".$DATE_DEBUT."' AND ".$sSqlDateStatement;

		$rowsNbPerfects = main_db_query($sQueryPerfect);
							
		$rowNbPerfects = db_fetch_assoc($rowsNbPerfects);
		
		$sQueryUpdate = "UPDATE Players SET Niveau=".$rowNbPerfects['nbPerfects'].
						" WHERE Id=".$rowPlayer['PlayerId'];
						
		$rowsUpdate = main_db_query($sQueryUpdate);
	}
	echo "mise à jour terminée<br>";
}

?>

<br><br>

<form method="post" name="main">
<br>
<input type="hidden" name="un" value="1">
<br><br>
<input type="submit" name="Valider" value="lancer la mise à jour du champs NbPerfects">
</form>
</body>
</html>